import 'package:prompter_oa/src/option.dart';
import 'package:prompter_oa/src/terminal.dart';

class Prompter {

  Client client;

  Prompter({Client client = const Terminal()}) {
    this.client = client;
  }

  bool askBinary(String question) {
    String answer = _ask('$question (y/n)', []);
    return answer.contains('y');
  }

  askMultiple(String question, List<Option> options) {
    String answer = _ask(question, options);

    try {
      return options[int.parse(answer)].value;
    } catch (err) {
      return askMultiple(question, options);
    }
  }

  String _ask(String question, List<Option> options) {
    client.clearScreen();
    client.printPrompt(question);
    client.printOptions(options);
    
    final answer = client.collectInput();
    return answer;
  }

  
}